API DocumentationManufacturer part revision controller
Upload part revision
PUT
Uploads a 3D model file for analysis and creates a new part revision
Phasio API Bearer Tokenheader
AuthorizationBearer <token>designId?stringID of the design to associate with this revision (optional)
Format
uuidcustomerOrganisationId?integerID of the customer organization (optional)
Format
int64X-Filename*stringOriginal filename of the file
application/json- body
file*file3D model file to upload
Format
binaryFile upload and analysis started
response?stringapplication/jsonFormat
uuidcurl -X PUT 'https://m-api.eu.phas.io/api/manufacturer/v1/part-revision/upload' \ -H 'X-Filename: string' \ -H 'Content-Type: application/json' \ -d '{ "file": "string"}'"497f6eca-6276-4993-bfeb-53cbbbba6f08"Last updated on